
import java.awt.EventQueue;
import java.awt.Color;
import java.awt.Font;
import java.awt.event.*;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.SwingConstants;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JTextArea;

import java.net.DatagramSocket;

//prozor prosiruje klasu jframe i implementira slusanje dogadjaja
public class prozor extends JFrame implements ActionListener {
	static String zahtev = "";                    //koristi se u klasi glavna
	static JTextArea textArea = new JTextArea();  //koristi se u klasi glavna
	
	private JPanel contentPane;
	private final JLabel lblUdpAes = new JLabel("UDP - AES banka");
	private final JLabel lblBrojRauna = new JLabel("Broj računa:");
	private final JButton btnPoalji = new JButton("Pošalji");
	private final JTextField textField = new JTextField();
	
	//pokretanje programa
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					prozor frame = new prozor();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	//kreiranje objekta prozor
	public prozor() {
		initGUI();
	}
	//definisanje izgleda prozora
	private void initGUI() {
        //yatvaranje i velicina prozora
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		//panel, boja pozadine, granica
		contentPane = new JPanel();
		contentPane.setBackground(new Color(224, 255, 255));
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		//labela, boja, pozicija, font, velicina
		lblUdpAes.setForeground(new Color(0, 0, 0));
		lblUdpAes.setHorizontalAlignment(SwingConstants.CENTER);
		lblUdpAes.setFont(new Font("Dialog", Font.BOLD, 30));
		lblUdpAes.setBounds(12, 12, 424, 36);
		contentPane.add(lblUdpAes);
		//labela, velicina i pozicija
		lblBrojRauna.setBounds(12, 87, 100, 15);
		contentPane.add(lblBrojRauna);
		//polje za tekst, prazno,velicina i pozicija, broj kolona 
		textField.setToolTipText("");
		textField.setBounds(145, 85, 153, 19);
		textField.setColumns(10);
		textField.addActionListener(this);//ako pritisnemo enter dogadjaj!
		contentPane.add(textField);
		//dugme, pozadina, velicina i pozicija
		btnPoalji.setBackground(new Color(224, 255, 255));
		btnPoalji.setBounds(310, 82, 117, 25);
		btnPoalji.addActionListener(this);//osluskuje da li je pritisnuto
		contentPane.add(btnPoalji);
		//viselinijsko polje, pozadina, velicina i pozicija
		textArea.setEditable(false);//tekst se ne moze menjati
		textArea.setBackground(new Color(245, 255, 250));
		textArea.setBounds(12, 145, 415, 110);
		contentPane.add(textArea);
		
	}
	
	//dogadjaj je ili pritisak dugmeta posalji
	//ili enter na tastaturi u polju za tekst
	//sta se desava ako imamo dogadjaj
	public void actionPerformed(ActionEvent e){
		zahtev = textField.getText();//zahtev cuva sta je korisnik uneo
		textArea.setText("");//brisanje sta je ranije pisalo u viselinijskom polju
		try {
			new Thread(new Server(new DatagramSocket(18888))).start();//nova nit Server
			new Thread(new Klijent(new DatagramSocket())).start();//nova nit Klijent
			} catch (Exception e1) {
			e1.printStackTrace();
			}
		
	}
}